<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/fic_loc.inc.php");
include_once("../inc/fic_taxes.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$ncons= strip_tags(trim(@$_POST["ncons"]));
$idbl= strip_tags(trim(@$_POST["nbl"]));
$idtc= strip_tags(trim(@$_POST["ntc"]));

$mini = strip_tags(trim(@$_POST["mini"]));
$maxi = strip_tags(trim(@$_POST["maxi"]));
$pvht = strip_tags(trim(@$_POST["puht"]));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Tarif consommable
	case "add" :
		$rech2 = "INSERT INTO " .TBBARLOCTC;
		$rech2.= " (barloctc_idbarloc,barloctc_ncons,barloctc_min,barloctc_max,barloctc_pvht)";
		$rech2.= " VALUES ('$idbl','$ncons','$mini','$maxi','$pvht')";
		$rs2 = mysql_query($rech2) or die(mysql_error());

		$msg = $txt_fiche_add;
		break;
		
	// MAJ de la fiche Tarif Consommable
	case "edit" :
		$majok=TRUE;
		
		if ($idtc<>last_id_tarcons_in_barloc($idbl,$ncons,FALSE))
		{
			$msg = "Bar&ecirc;me impossible &agrave; modifier";
			$majok = FALSE;
			$retourliste = FALSE;
		}
/*		
			if (exist_barloc_in_coloc_ouv($idbl,FALSE)==TRUE)
			{
				$msg = "Bar&ecirc;me utilis&eacute; dans une location non close";
				$majok = FALSE;
				$retourliste = FALSE;
			}
	*/	
		if ($majok==TRUE)
		{
			$rech = "UPDATE `" .TBBARLOCTC. "` SET `barloctc_min`='".$mini."', `barloctc_max`='".$maxi."',";
			$rech.= " `barloctc_pvht`='".$pvht."'";
			$rech.= " WHERE `barloctc_id` = '".$idtc."'";
			$rs = mysql_query($rech) or die(mysql_error());
				
			$msg = $txt_fiche_mod;
		}
		break;

	// Suppression de la fiche tarif Consommable
	case "del" :
		$delok=TRUE;

		if ($idtc<>last_id_tarcons_in_barloc($idbl,$ncons,FALSE))
		{
			$msg = "Bar&ecirc;me impossible &agrave; supprimer";
			$majok = FALSE;
			$retourliste = FALSE;
		}
/*		
			if (exist_barloc_in_coloc($idbl,FALSE)==TRUE)
			{
				$msg = "Bar&ecirc;me utilis&eacute; dans une location. D&eacute;sactivez le.";
				$delok = FALSE;
				$retourliste = FALSE;
			}
			*/
		
		if ($delok==TRUE)
		{
			$rech = "DELETE FROM `" .TBBARLOCTC. "` WHERE `barloctc_id` = '$idtc'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			$msg = $txt_fiche_del;
		}
		break;
		
	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Tarif Consommable</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>


<!-- Fermeture temporisée -->
<?PHP 
cre_js_tarcons("edit",$idbl,"window.opener.");
?>
<script type="text/javascript">
<!--
tbtarcons<?PHP echo $ncons; ?>();
self.close('fscomp');
//-->
</script>
<?PHP if ($retourliste==FALSE) { ?>
<p align="center">
<a href="javascript:void(0)" onClick="javascript:; self.close('fscomp');">cliquez ici pour fermer la fenêtre</a>
</p>
<?PHP } ?>

</body>
</html>
